<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# заголовок
$set['title']='Лавка оберегов';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

if (isset($user)){

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

#***************** Главный блок **************#
default:

# текст
echo '<div class="zona_menu">
<b>Очкарил</b>: Чё припёрся ?<br/>
Оберег хочешь ?<br/>
Ну так выбирай едрёна вошь , а то как дам сейчас по башке !<br/>
Оберег добавляет параметры к твоей защите , и служит украшением анкеты .<br/>
Ты сможешь купить оберег если авторитет твоего персонажа больше 100 ед.
</div>';

# выбор действий
echo '<div class="zona_aut"> Выбирите оберег :</div>';

# странички
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `zona_inventar` WHERE `type`='obereg' "),0);


# пусто
if ($k_post==0)
{
echo '<div class="zona_menu"> Сори братуха , пока ничего нет .</div>';
}

# есть
else{

$sql=mysql_query("SELECT * FROM `zona_inventar` WHERE `type`='obereg' ORDER BY `id`");

while ($row = mysql_fetch_assoc($sql)){

echo '<div class="zona_rekl">
<img src="img/obereg/'.htmlspecialchars($row['link']).'" alt="*" /><br/> '.htmlspecialchars($row['name']).' || ( <img src="../img/icon/icon_header_staff2.png" alt="*" /> '.(int)$row['cost'].' баксов .) || + '.(int)$row['uron'].' к защите <br/>[ <a href="shop.php?action=bay&amp;id='.$row['id'].'">прикупить</a> ]</div>';
}
}
break;



#************************ Покупка ************#
case 'bay':

# Проверяем и фильтруем переменные 
$id = isset($_GET['id']) ? abs(intval($_GET['id'])) : 0;

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_dude.gif" alt="*" /></div>';

# проверим на коректность
if(!$id){
echo '<div class="zona_rekl">Пустые параметры!</div>';
include_once '../../sys/inc/tfoot.php';
exit;
}

# проверим товар
$sql=mysql_query("SELECT * FROM `zona_inventar` WHERE `type`='obereg' AND `id`='$id' ");
$row=mysql_fetch_assoc($sql);

if(!mysql_num_rows($sql)){
echo '<div class="zona_rekl">Такого оружия не существует!</div>';
include_once '../../sys/inc/tfoot.php';
exit;
}

if($user['zona_avtoritet']< 100){

# текст
echo '<div class="zona_menu">
Пхош нахер отсюда .<br/>
Шя как дам !!!<br/>
Тебя не уважают , мало авторитета.</div>';
}

# существует продолжим
else {

if($user['zona_balls']<$row['cost']){

# текст
echo '<div class="zona_menu">
Чё папутал ???<br/>
У тебя нет столько баксов .<br/>
Будут бабки , тогда приходи.</div>';
}
else {

# обновим в бд
mysql_query("UPDATE `user` SET `zona_obereg`='".$row['link']."' ,`zona_obereg_efect`='".$row['uron']."' ,`zona_balls`=`zona_balls`-'".$row['cost']."' WHERE `id`='".$user['id']."'");

# текст
echo '<div class="zona_menu">
Готово !<br/>
Твой оберег будет виден в меню твоего персонажа , и всем кто будет смотреть анкету .</div>';

}
}

break;
}


echo '<div class="zona_rekl"><img src="../img/icon/icon_a_dexterity.png" alt="*" /> <a href="index.php"> Притон</a></div>';

}
else{

echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';

}
include_once '../../sys/inc/tfoot.php';
?>
